Generate a payment URL
curl --request POST \
--url https://api.getlago.com/api/v1/wallet_transactions/{lago_id}/payment_url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlago.com/api/v1/wallet_transactions/{lago_id}/payment_url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlago.com/api/v1/wallet_transactions/{lago_id}/payment_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet_transaction_payment_details": {
"lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_wallet_transaction_id": "1e501a90-1a90-1a90-1a90-1a901a901a80",
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"payment_provider": "stripe",
"payment_url": "https://foo.bar"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}{
"status": 422,
"error": "Unprocessable entity",
"code": "validation_errors",
"error_details": {}
}Wallet transactions
Generate a payment URL
This endpoint generates a checkout link for a specific wallet transaction.
POST
/
wallet_transactions
/
{lago_id}
/
payment_url
Generate a payment URL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the wallet transaction.
Example:
"1a901a90-1a90-1a90-1a90-1a901a901a90"
Response
Payment URL has been generated
.
Show child attributes
Show child attributes
⌘I